Index: squid/snmplib/snmp_msg.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/snmp_msg.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.76.1
diff -u -r1.1.1.1 -r1.1.1.1.76.1
--- squid/snmplib/snmp_msg.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/snmplib/snmp_msg.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.76.1
@@ -126,9 +126,7 @@
 
 u_char *
 snmp_msg_Encode(u_char * Buffer, int *BufLenP,
-    u_char * Community, int CommLen,
-    int Version,
-    struct snmp_pdu * PDU)
+    u_char * Community, int CommLen, int Version, struct snmp_pdu *PDU)
 {
     u_char *bufp, *tmp;
     u_char *PDUHeaderPtr, *VARHeaderPtr;
@@ -140,11 +138,10 @@
 	*BufLenP);
     /* Header for the entire thing, with a false, large length */
     bufp = asn_build_header(Buffer, BufLenP,
-	(u_char) (ASN_SEQUENCE |
-	    ASN_CONSTRUCTOR),
-	(*BufLenP));
+	(u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR), (*BufLenP));
     if (bufp == NULL) {
-	snmplib_debug(4, "snmp_msg_Encode:Error encoding SNMP Message Header (Header)!\n");
+	snmplib_debug(4,
+	    "snmp_msg_Encode:Error encoding SNMP Message Header (Header)!\n");
 	return (NULL);
     }
     MsgPtr = bufp;
@@ -152,23 +149,22 @@
     /* Version */
     bufp = asn_build_int(bufp, BufLenP,
 	(u_char) (ASN_UNIVERSAL |
-	    ASN_PRIMITIVE |
-	    ASN_INTEGER),
-	(int *) (&Version), sizeof(Version));
+ASN_PRIMITIVE | ASN_INTEGER), (int *) (&Version), sizeof(Version));
     if (bufp == NULL) {
-	snmplib_debug(4, "snmp_msg_Encode:Error encoding SNMP Message Header (Version)!\n");
+	snmplib_debug(4,
+	    "snmp_msg_Encode:Error encoding SNMP Message Header (Version)!\n");
 	return (NULL);
     }
-    snmplib_debug(8, "snmp_msg_Encode: Encoding community (%s) (%d)\n", Community, CommLen);
+    snmplib_debug(8, "snmp_msg_Encode: Encoding community (%s) (%d)\n",
+	Community, CommLen);
 
     /* Community */
     bufp = asn_build_string(bufp, BufLenP,
 	(u_char) (ASN_UNIVERSAL |
-	    ASN_PRIMITIVE |
-	    ASN_OCTET_STR),
-	Community, CommLen);
+ASN_PRIMITIVE | ASN_OCTET_STR), Community, CommLen);
     if (bufp == NULL) {
-	snmplib_debug(4, "snmp_msg_Encode:Error encoding SNMP Message Header (Community)!\n");
+	snmplib_debug(4,
+	    "snmp_msg_Encode:Error encoding SNMP Message Header (Community)!\n");
 	return (NULL);
     }
     /* Encode the rest. */
@@ -176,12 +172,12 @@
     /* A nice header for this PDU. 
      * Encoded with the wrong length.  We'll fix it later.
      */
-    snmplib_debug(8, "snmp_msg_Encode:Encoding PDU Header at 0x%x (fake len %d) (%d bytes so far)\n",
+    snmplib_debug(8,
+	"snmp_msg_Encode:Encoding PDU Header at 0x%x (fake len %d) (%d bytes so far)\n",
 	bufp, *BufLenP, *BufLenP);
     PDUHeaderPtr = bufp;
     bufp = asn_build_header(bufp, BufLenP,
-	(u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR),
-	(*BufLenP));
+	(u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR), (*BufLenP));
     if (bufp == NULL)
 	return (NULL);
 
@@ -193,8 +189,7 @@
 
     VARHeaderPtr = bufp;
     bufp = asn_build_header(bufp, BufLenP,
-	(u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR),
-	FakeArg);
+	(u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR), FakeArg);
     if (bufp == NULL)
 	return (NULL);
     VARDataStart = bufp;
@@ -213,8 +208,7 @@
 	(int) (bufp - PDUDataStart), PDUHeaderPtr, bufp);
 #endif
     tmp = asn_build_header(PDUHeaderPtr, &FakeArg,
-	(u_char) PDU->command,
-	(int) (bufp - PDUDataStart));
+	(u_char) PDU->command, (int) (bufp - PDUDataStart));
     /* Length of the PDU and Vars */
     if (tmp == NULL)
 	return (NULL);
@@ -224,16 +218,12 @@
 	(int) (bufp - MsgPtr), MsgPtr, bufp);
 #endif
     tmp = asn_build_header(Buffer,
-	&FakeArg,
-	(u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR),
-	(bufp - MsgPtr));	/* Length of everything */
+	&FakeArg, (u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR), (bufp - MsgPtr));	/* Length of everything */
     if (tmp == NULL)
 	return (NULL);
 
     tmp = asn_build_header(VARHeaderPtr,
-	&FakeArg,
-	(u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR),
-	(bufp - VARDataStart));	/* Length of everything */
+	&FakeArg, (u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR), (bufp - VARDataStart));	/* Length of everything */
     if (tmp == NULL)
 	return (NULL);
 
@@ -245,40 +235,42 @@
 
 u_char *
 snmp_msg_Decode(u_char * Packet, int *PacketLenP,
-    u_char * Community, int *CommLenP,
-    int *Version, struct snmp_pdu * PDU)
+    u_char * Community, int *CommLenP, int *Version, struct snmp_pdu * PDU)
 {
     u_char *bufp;
     u_char type;
 
     bufp = asn_parse_header(Packet, PacketLenP, &type);
     if (bufp == NULL) {
-	snmplib_debug(4, "snmp_msg_Decode:Error decoding SNMP Messsage Header (Header)!\n");
+	snmplib_debug(4,
+	    "snmp_msg_Decode:Error decoding SNMP Messsage Header (Header)!\n");
 	ASN_PARSE_ERROR(NULL);
     }
     if (type != (ASN_SEQUENCE | ASN_CONSTRUCTOR)) {
-	snmplib_debug(4, "snmp_msg_Decode:Error decoding SNMP Messsage Header (Header)!\n");
+	snmplib_debug(4,
+	    "snmp_msg_Decode:Error decoding SNMP Messsage Header (Header)!\n");
 	ASN_PARSE_ERROR(NULL);
     }
     bufp = asn_parse_int(bufp, PacketLenP,
-	&type,
-	(int *) Version, sizeof(*Version));
+	&type, (int *) Version, sizeof(*Version));
     if (bufp == NULL) {
-	snmplib_debug(4, "snmp_msg_Decode:Error decoding SNMP Messsage Header (Version)!\n");
+	snmplib_debug(4,
+	    "snmp_msg_Decode:Error decoding SNMP Messsage Header (Version)!\n");
 	ASN_PARSE_ERROR(NULL);
     }
     bufp = asn_parse_string(bufp, PacketLenP, &type, Community, CommLenP);
     if (bufp == NULL) {
-	snmplib_debug(4, "snmp_msg_Decode:Error decoding SNMP Messsage Header (Community)!\n");
+	snmplib_debug(4,
+	    "snmp_msg_Decode:Error decoding SNMP Messsage Header (Community)!\n");
 	ASN_PARSE_ERROR(NULL);
     }
     Community[*CommLenP] = '\0';
 
-    if ((*Version != SNMP_VERSION_1) &&
-	(*Version != SNMP_VERSION_2)) {
+    if ((*Version != SNMP_VERSION_1) && (*Version != SNMP_VERSION_2)) {
 
 	/* Don't know how to handle this one. */
-	snmplib_debug(4, "snmp_msg_Decode:Unable to parse Version %u\n", *Version);
+	snmplib_debug(4, "snmp_msg_Decode:Unable to parse Version %u\n",
+	    *Version);
 	snmplib_debug(4, "snmp_msg_Decode:Continuing anyway\n");
     }
     /* Now that we know the header, decode the PDU */
@@ -289,7 +281,8 @@
 	/* snmp_pdu_decode registered failure */
 	return (NULL);
 
-    bufp = snmp_var_DecodeVarBind(bufp, PacketLenP, &(PDU->variables), *Version);
+    bufp =
+	snmp_var_DecodeVarBind(bufp, PacketLenP, &(PDU->variables), *Version);
     if (bufp == NULL)
 	/* snmp_var_DecodeVarBind registered failure */
 	return (NULL);
Index: squid/snmplib/snmp_pdu.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/snmp_pdu.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.76.1
diff -u -r1.1.1.1 -r1.1.1.1.76.1
--- squid/snmplib/snmp_pdu.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/snmplib/snmp_pdu.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.76.1
@@ -155,7 +155,8 @@
     xmemcpy((char *) Dest, (char *) Src, sizeof(struct snmp_pdu));
 
 #ifdef DEBUG_PDU
-    snmplib_debug(8, "PDU %x:  Created %x\n", (unsigned int) Src, (unsigned int) Dest);
+    snmplib_debug(8, "PDU %x:  Created %x\n", (unsigned int) Src,
+	(unsigned int) Dest);
 #endif
     return (Dest);
 }
@@ -193,8 +194,7 @@
 #endif
 
     if (pdu->command != SNMP_PDU_RESPONSE ||
-	pdu->errstat == SNMP_ERR_NOERROR ||
-	pdu->errindex <= 0) {
+	pdu->errstat == SNMP_ERR_NOERROR || pdu->errindex <= 0) {
 	snmp_set_api_error(SNMPERR_UNABLE_TO_FIX);
 	return (NULL);
     }
@@ -270,7 +270,7 @@
 
 /**********************************************************************/
 
-void 
+void
 snmp_pdu_free(struct snmp_pdu *pdu)
 {
     snmp_free_pdu(pdu);
@@ -279,7 +279,7 @@
 /*
  * Frees the pdu and any xmalloc'd data associated with it.
  */
-void 
+void
 snmp_free_pdu(struct snmp_pdu *pdu)
 {
     struct variable_list *vp, *ovp;
@@ -346,8 +346,7 @@
  */
 
 u_char *
-snmp_pdu_encode(u_char * DestBuf, int *DestBufLen,
-    struct snmp_pdu *PDU)
+snmp_pdu_encode(u_char * DestBuf, int *DestBufLen, struct snmp_pdu *PDU)
 {
     u_char *bufp;
 
@@ -389,8 +388,7 @@
 	/* specific trap */
 	bufp = asn_build_int(bufp, DestBufLen,
 	    (u_char) (ASN_UNIVERSAL | ASN_PRIMITIVE | ASN_INTEGER),
-	    (int *) &PDU->specific_type,
-	    sizeof(PDU->specific_type));
+	    (int *) &PDU->specific_type, sizeof(PDU->specific_type));
 	if (bufp == NULL)
 	    return (NULL);
 
@@ -418,16 +416,14 @@
 	/* non-repeaters */
 	bufp = asn_build_int(bufp, DestBufLen,
 	    (u_char) (ASN_UNIVERSAL | ASN_PRIMITIVE | ASN_INTEGER),
-	    &PDU->non_repeaters,
-	    sizeof(PDU->non_repeaters));
+	    &PDU->non_repeaters, sizeof(PDU->non_repeaters));
 	if (bufp == NULL)
 	    return (NULL);
 
 	/* max-repetitions */
 	bufp = asn_build_int(bufp, DestBufLen,
 	    (u_char) (ASN_UNIVERSAL | ASN_PRIMITIVE | ASN_INTEGER),
-	    &PDU->max_repetitions,
-	    sizeof(PDU->max_repetitions));
+	    &PDU->max_repetitions, sizeof(PDU->max_repetitions));
 	if (bufp == NULL)
 	    return (NULL);
 	break;
@@ -524,32 +520,25 @@
 	/* Agent-addr */
 	four = 4;
 	bufp = asn_parse_string(bufp, Length,
-	    &ASNType,
-	    (u_char *) & PDU->agent_addr.sin_addr.s_addr,
-	    &four);
+	    &ASNType, (u_char *) & PDU->agent_addr.sin_addr.s_addr, &four);
 	if (bufp == NULL)
 	    ASN_PARSE_ERROR(NULL);
 
 	/* Generic trap */
 	bufp = asn_parse_int(bufp, Length,
-	    &ASNType,
-	    (int *) &PDU->trap_type,
-	    sizeof(PDU->trap_type));
+	    &ASNType, (int *) &PDU->trap_type, sizeof(PDU->trap_type));
 	if (bufp == NULL)
 	    ASN_PARSE_ERROR(NULL);
 
 	/* Specific Trap */
 	bufp = asn_parse_int(bufp, Length,
-	    &ASNType,
-	    (int *) &PDU->specific_type,
-	    sizeof(PDU->specific_type));
+	    &ASNType, (int *) &PDU->specific_type, sizeof(PDU->specific_type));
 	if (bufp == NULL)
 	    ASN_PARSE_ERROR(NULL);
 
 	/* Timestamp */
 	bufp = asn_parse_unsigned_int(bufp, Length,
-	    &ASNType,
-	    &PDU->time, sizeof(PDU->time));
+	    &ASNType, &PDU->time, sizeof(PDU->time));
 	if (bufp == NULL)
 	    ASN_PARSE_ERROR(NULL);
 	break;
@@ -562,22 +551,19 @@
 
 	/* request id */
 	bufp = asn_parse_int(bufp, Length,
-	    &ASNType,
-	    &PDU->reqid, sizeof(PDU->reqid));
+	    &ASNType, &PDU->reqid, sizeof(PDU->reqid));
 	if (bufp == NULL)
 	    ASN_PARSE_ERROR(NULL);
 
 	/* non-repeaters */
 	bufp = asn_parse_int(bufp, Length,
-	    &ASNType,
-	    &PDU->non_repeaters, sizeof(PDU->non_repeaters));
+	    &ASNType, &PDU->non_repeaters, sizeof(PDU->non_repeaters));
 	if (bufp == NULL)
 	    ASN_PARSE_ERROR(NULL);
 
 	/* max-repetitions */
 	bufp = asn_parse_int(bufp, Length,
-	    &ASNType,
-	    &PDU->max_repetitions, sizeof(PDU->max_repetitions));
+	    &ASNType, &PDU->max_repetitions, sizeof(PDU->max_repetitions));
 	if (bufp == NULL)
 	    ASN_PARSE_ERROR(NULL);
 
@@ -590,8 +576,7 @@
 
 	/* request id */
 	bufp = asn_parse_int(bufp, Length,
-	    &ASNType,
-	    &PDU->reqid, sizeof(PDU->reqid));
+	    &ASNType, &PDU->reqid, sizeof(PDU->reqid));
 	if (bufp == NULL)
 	    ASN_PARSE_ERROR(NULL);
 
@@ -601,8 +586,7 @@
 
 	/* error status */
 	bufp = asn_parse_int(bufp, Length,
-	    &ASNType,
-	    &PDU->errstat, sizeof(PDU->errstat));
+	    &ASNType, &PDU->errstat, sizeof(PDU->errstat));
 	if (bufp == NULL)
 	    ASN_PARSE_ERROR(NULL);
 
@@ -612,8 +596,7 @@
 
 	/* error index */
 	bufp = asn_parse_int(bufp, Length,
-	    &ASNType,
-	    &PDU->errindex, sizeof(PDU->errindex));
+	    &ASNType, &PDU->errindex, sizeof(PDU->errindex));
 	if (bufp == NULL)
 	    ASN_PARSE_ERROR(NULL);
 
@@ -670,7 +653,7 @@
  * Add a null variable with the requested name to the end of the list of
  * variables for this pdu.
  */
-void 
+void
 snmp_add_null_var(struct snmp_pdu *pdu, oid * name, int name_length)
 {
     struct variable_list *vars;
@@ -686,9 +669,7 @@
     } else {
 
 	/* Insert at the end */
-	for (ptr = pdu->variables;
-	    ptr->next_variable;
-	    ptr = ptr->next_variable)
+	for (ptr = pdu->variables; ptr->next_variable; ptr = ptr->next_variable)
 	    /*EXIT */ ;
 	ptr->next_variable = vars;
     }
Index: squid/snmplib/snmp_vars.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/snmp_vars.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.122.1
diff -u -r1.1.1.2 -r1.1.1.2.122.1
--- squid/snmplib/snmp_vars.c	26 Jan 2000 03:25:01 -0000	1.1.1.2
+++ squid/snmplib/snmp_vars.c	27 Aug 2001 21:48:18 -0000	1.1.1.2.122.1
@@ -1,4 +1,3 @@
-
 /*
  * SNMP Variable Binding.  Complies with:
  *
@@ -200,8 +199,7 @@
 	    Src->name_length * sizeof(oid));
     }
     /* CISCO Catalyst 2900 returns NULL strings as data of length 0. */
-    if ((Src->val.string != NULL) &&
-	(Src->val_len)) {
+    if ((Src->val.string != NULL) && (Src->val_len)) {
 	Dest->val.string = (u_char *) xmalloc(Src->val_len);
 	if (Dest->val.string == NULL) {
 	    snmp_set_api_error(SNMPERR_OS_ERR);
@@ -212,7 +210,8 @@
 #ifdef DEBUG_VARS
 	printf("VARS: Copying value (Size %d)\n", Src->val_len);
 #endif
-	xmemcpy((char *) Dest->val.string, (char *) Src->val.string, Src->val_len);
+	xmemcpy((char *) Dest->val.string, (char *) Src->val.string,
+	    Src->val_len);
     }
 #ifdef DEBUG_VARS
     printf("VARS: Cloned %x.\n", (unsigned int) Dest);
@@ -261,8 +260,7 @@
  */
 u_char *
 snmp_var_EncodeVarBind(u_char * Buffer, int *BufLenP,
-    variable_list * VarList,
-    int Version)
+    variable_list * VarList, int Version)
 {
     struct variable_list *Vars;
     u_char *bufp;
@@ -280,17 +278,14 @@
 	 */
 	HeaderStart = bufp;
 	HeaderEnd = asn_build_header(HeaderStart, BufLenP,
-	    (u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR),
-	    FakeArg);
+	    (u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR), FakeArg);
 	if (HeaderEnd == NULL)
 	    return (NULL);
 
 	/* Now, let's put the Object Identifier into the buffer */
 	bufp = asn_build_objid(HeaderEnd, BufLenP,
 	    (u_char) (ASN_UNIVERSAL |
-		ASN_PRIMITIVE |
-		ASN_OBJECT_ID),
-	    Vars->name, Vars->name_length);
+ASN_PRIMITIVE | ASN_OBJECT_ID), Vars->name, Vars->name_length);
 	if (bufp == NULL)
 	    return (NULL);
 
@@ -299,8 +294,7 @@
 
 	case ASN_INTEGER:
 	    bufp = asn_build_int(bufp,
-		BufLenP, Vars->type,
-		(int *) Vars->val.integer, Vars->val_len);
+		BufLenP, Vars->type, (int *) Vars->val.integer, Vars->val_len);
 	    break;
 
 	case SMI_COUNTER32:
@@ -308,8 +302,7 @@
 	    /*  case SMI_UNSIGNED32: */
 	case SMI_TIMETICKS:
 	    bufp = asn_build_unsigned_int(bufp, BufLenP,
-		Vars->type,
-		(u_int *) Vars->val.integer, Vars->val_len);
+		Vars->type, (u_int *) Vars->val.integer, Vars->val_len);
 	    break;
 
 	case ASN_OCTET_STR:
@@ -354,8 +347,7 @@
 
 	/* Rebuild the header with the appropriate length */
 	HeaderEnd = asn_build_header(HeaderStart, &FakeArg,
-	    (u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR),
-	    (bufp - HeaderEnd));
+	    (u_char) (ASN_SEQUENCE | ASN_CONSTRUCTOR), (bufp - HeaderEnd));
 
 	/* Returns NULL */
 	if (HeaderEnd == NULL)
@@ -373,8 +365,7 @@
 /* Parse all Vars from the buffer */
 u_char *
 snmp_var_DecodeVarBind(u_char * Buffer, int *BufLen,
-    struct variable_list ** VarP,
-    int Version)
+    struct variable_list ** VarP, int Version)
 {
     struct variable_list *Var, **VarLastP;
     u_char *bufp, *tmp;
@@ -430,7 +421,8 @@
 	    ASN_PARSE_ERROR(NULL);
 	}
 #ifdef DEBUG_VARS_DECODE
-	printf("VARS: Header type 0x%x (%d bytes left)\n", VarBindType, ThisVarLen);
+	printf("VARS: Header type 0x%x (%d bytes left)\n", VarBindType,
+	    ThisVarLen);
 #endif
 
 	/* Parse the OBJID */
@@ -440,8 +432,7 @@
 	    ASN_PARSE_ERROR(NULL);
 
 	if (VarBindType != (u_char) (ASN_UNIVERSAL |
-		ASN_PRIMITIVE |
-		ASN_OBJECT_ID)) {
+		ASN_PRIMITIVE | ASN_OBJECT_ID)) {
 	    snmp_set_api_error(SNMPERR_PDU_PARSE);
 	    ASN_PARSE_ERROR(NULL);
 	}
@@ -476,8 +467,7 @@
 	    }
 	    Var->val_len = sizeof(int);
 	    bufp = asn_parse_int(DataPtr, &ThisVarLen,
-		&Var->type, (int *) Var->val.integer,
-		Var->val_len);
+		&Var->type, (int *) Var->val.integer, Var->val_len);
 #ifdef DEBUG_VARS_DECODE
 	    printf("VARS: Decoded integer '%d' (%d bytes left)\n",
 		*(Var->val.integer), ThisVarLen);
@@ -495,8 +485,7 @@
 	    }
 	    Var->val_len = sizeof(u_int);
 	    bufp = asn_parse_unsigned_int(DataPtr, &ThisVarLen,
-		&Var->type, (u_int *) Var->val.integer,
-		Var->val_len);
+		&Var->type, (u_int *) Var->val.integer, Var->val_len);
 #ifdef DEBUG_VARS_DECODE
 	    printf("VARS: Decoded timeticks '%d' (%d bytes left)\n",
 		*(Var->val.integer), ThisVarLen);
@@ -513,8 +502,7 @@
 		return (NULL);
 	    }
 	    bufp = asn_parse_string(DataPtr, &ThisVarLen,
-		&Var->type, Var->val.string,
-		&Var->val_len);
+		&Var->type, Var->val.string, &Var->val_len);
 #ifdef DEBUG_VARS_DECODE
 	    printf("VARS: Decoded string '%s' (length %d) (%d bytes left)\n",
 		(Var->val.string), Var->val_len, ThisVarLen);
Index: squid/src/CacheDigest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/CacheDigest.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/src/CacheDigest.c	6 Jan 2001 12:40:11 -0000	1.1.1.2.4.1.2.1
+++ squid/src/CacheDigest.c	27 Aug 2001 21:48:18 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: CacheDigest.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: CacheDigest.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: section 70    Cache Digest
  * AUTHOR: Alex Rousskov
@@ -38,12 +37,14 @@
 #if USE_CACHE_DIGESTS
 
 /* local types */
-typedef struct {
+typedef struct
+{
     int bit_count;		/* total number of bits */
     int bit_on_count;		/* #bits turned on */
     int bseq_len_sum;		/* sum of all bit seq length */
     int bseq_count;		/* number of bit seqs */
-} CacheDigestStats;
+}
+CacheDigestStats;
 
 /* local functions */
 static void cacheDigestHashKey(const CacheDigest * cd, const cache_key * key);
@@ -62,7 +63,8 @@
     cd->bits_per_entry = bpe;
     cd->mask_size = mask_size;
     cd->mask = xcalloc(cd->mask_size, 1);
-    debug(70, 2) ("cacheDigestInit: capacity: %d entries, bpe: %d; size: %d bytes\n",
+    debug(70,
+	2) ("cacheDigestInit: capacity: %d entries, bpe: %d; size: %d bytes\n",
 	cd->capacity, cd->bits_per_entry, cd->mask_size);
 }
 
@@ -238,7 +240,8 @@
 }
 
 void
-cacheDigestGuessStatsReport(const cd_guess_stats * stats, StoreEntry * sentry, const char *label)
+cacheDigestGuessStatsReport(const cd_guess_stats * stats, StoreEntry * sentry,
+    const char *label)
 {
     const int true_count = stats->true_hits + stats->true_misses;
     const int false_count = stats->false_hits + stats->false_misses;
@@ -268,7 +271,8 @@
 	hit_count, xpercent(hit_count, tot_count),
 	miss_count, xpercent(miss_count, tot_count),
 	tot_count, xpercent(tot_count, tot_count));
-    storeAppendPrintf(sentry, "\tclose_hits: %d ( %d%%) /* cd said hit, doc was in the peer cache, but we got a miss */\n",
+    storeAppendPrintf(sentry,
+	"\tclose_hits: %d ( %d%%) /* cd said hit, doc was in the peer cache, but we got a miss */\n",
 	stats->close_hits, xpercentInt(stats->close_hits, stats->false_hits));
 }
 
@@ -279,29 +283,22 @@
     assert(cd && e);
     cacheDigestStats(cd, &stats);
     storeAppendPrintf(e, "%s digest: size: %d bytes\n",
-	label ? label : "", stats.bit_count / 8
-	);
+	label ? label : "", stats.bit_count / 8);
     storeAppendPrintf(e, "\t entries: count: %d capacity: %d util: %d%%\n",
-	cd->count,
-	cd->capacity,
-	xpercentInt(cd->count, cd->capacity)
-	);
-    storeAppendPrintf(e, "\t deletion attempts: %d\n",
-	cd->del_count
+	cd->count, cd->capacity, xpercentInt(cd->count, cd->capacity)
 	);
-    storeAppendPrintf(e, "\t bits: per entry: %d on: %d capacity: %d util: %d%%\n",
-	cd->bits_per_entry,
-	stats.bit_on_count, stats.bit_count,
+    storeAppendPrintf(e, "\t deletion attempts: %d\n", cd->del_count);
+    storeAppendPrintf(e,
+	"\t bits: per entry: %d on: %d capacity: %d util: %d%%\n",
+	cd->bits_per_entry, stats.bit_on_count, stats.bit_count,
 	xpercentInt(stats.bit_on_count, stats.bit_count)
 	);
     storeAppendPrintf(e, "\t bit-seq: count: %d avg.len: %.2f\n",
-	stats.bseq_count,
-	xdiv(stats.bseq_len_sum, stats.bseq_count)
+	stats.bseq_count, xdiv(stats.bseq_len_sum, stats.bseq_count)
 	);
 }
 
-size_t
-cacheDigestCalcMaskSize(int cap, int bpe)
+size_t cacheDigestCalcMaskSize(int cap, int bpe)
 {
     return (size_t) (cap * bpe + 7) / 8;
 }
Index: squid/src/ETag.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/ETag.c,v
retrieving revision 1.1.1.1.4.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.1
diff -u -r1.1.1.1.4.1.2.1 -r1.1.1.1.4.1.2.1.2.1
--- squid/src/ETag.c	6 Jan 2001 12:40:11 -0000	1.1.1.1.4.1.2.1
+++ squid/src/ETag.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: ETag.c,v 1.1.1.1.4.1.2.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: ETag.c,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -62,6 +61,6 @@
 etagIsEqual(const ETag * tag1, const ETag * tag2)
 {
     assert(tag1 && tag2);
-    assert(!tag1->weak && !tag2->weak);		/* weak comparison not implemented yet */
+    assert(!tag1->weak && !tag2->weak);	/* weak comparison not implemented yet */
     return !strcmp(tag1->str, tag2->str);
 }
Index: squid/src/HttpBody.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpBody.c,v
retrieving revision 1.1.1.1.4.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.1
diff -u -r1.1.1.1.4.1.2.1 -r1.1.1.1.4.1.2.1.2.1
--- squid/src/HttpBody.c	6 Jan 2001 12:40:11 -0000	1.1.1.1.4.1.2.1
+++ squid/src/HttpBody.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.4.1.2.1.2.1
@@ -1,8 +1,5 @@
-
-
-
 /*
- * $Id: HttpBody.c,v 1.1.1.1.4.1.2.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: HttpBody.c,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: section 56    HTTP Message Body
  * AUTHOR: Alex Rousskov
Index: squid/src/HttpHdrCc.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHdrCc.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/HttpHdrCc.c	6 Jan 2001 12:40:11 -0000	1.1.1.3.4.1.2.1
+++ squid/src/HttpHdrCc.c	27 Aug 2001 21:48:18 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: HttpHdrCc.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: HttpHdrCc.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: section 65    HTTP Cache Control Header
  * AUTHOR: Alex Rousskov
@@ -36,8 +35,7 @@
 #include "squid.h"
 
 /* this table is used for parsing cache control header */
-static const HttpHeaderFieldAttrs CcAttrs[CC_ENUM_END] =
-{
+static const HttpHeaderFieldAttrs CcAttrs[CC_ENUM_END] = {
     {"public", CC_PUBLIC},
     {"private", CC_PRIVATE},
     {"no-cache", CC_NO_CACHE},
@@ -110,15 +108,20 @@
 	if ((p = strchr(item, '=')) && (p - item < ilen))
 	    ilen = p++ - item;
 	/* find type */
-	type = httpHeaderIdByName(item, ilen,
-	    CcFieldsInfo, CC_ENUM_END);
+	type = httpHeaderIdByName(item, ilen, CcFieldsInfo, CC_ENUM_END);
 	if (type < 0) {
-	    debug(65, 2) ("hdr cc: unknown cache-directive: near '%s' in '%s'\n", item, strBuf(*str));
+	    debug(65,
+		2) ("hdr cc: unknown cache-directive: near '%s' in '%s'\n",
+		item, strBuf(*str));
 	    type = CC_OTHER;
 	}
 	if (EBIT_TEST(cc->mask, type)) {
 	    if (type != CC_OTHER)
-		debug(65, 2) ("hdr cc: ignoring duplicate cache-directive: near '%s' in '%s'\n", item, strBuf(*str));
+		debug(65, 2)
+
+		    
+		    ("hdr cc: ignoring duplicate cache-directive: near '%s' in '%s'\n",
+		    item, strBuf(*str));
 	    CcFieldsInfo[type].stat.repCount++;
 	    continue;
 	}
@@ -177,7 +180,8 @@
 	if (EBIT_TEST(cc->mask, flag) && flag != CC_OTHER) {
 
 	    /* print option name */
-	    packerPrintf(p, (pcount ? ", %s" : "%s"), strBuf(CcFieldsInfo[flag].name));
+	    packerPrintf(p, (pcount ? ", %s" : "%s"),
+		strBuf(CcFieldsInfo[flag].name));
 
 	    /* handle options with values */
 	    if (flag == CC_MAX_AGE)
@@ -237,7 +241,8 @@
 }
 
 void
-httpHdrCcStatDumper(StoreEntry * sentry, int idx, double val, double size, int count)
+httpHdrCcStatDumper(StoreEntry * sentry, int idx, double val, double size,
+    int count)
 {
     extern const HttpHeaderStat *dump_stat;	/* argh! */
     const int id = (int) val;
Index: squid/src/HttpHdrContRange.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHdrContRange.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/HttpHdrContRange.c	6 Jan 2001 12:40:11 -0000	1.1.1.3.4.1.2.1
+++ squid/src/HttpHdrContRange.c	27 Aug 2001 21:48:18 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: HttpHdrContRange.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: HttpHdrContRange.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: section 68    HTTP Content-Range Header
  * AUTHOR: Alex Rousskov
@@ -60,7 +59,8 @@
 
 /* parses range-resp-spec and inits spec, returns true on success */
 static int
-httpHdrRangeRespSpecParseInit(HttpHdrRangeSpec * spec, const char *field, int flen)
+httpHdrRangeRespSpecParseInit(HttpHdrRangeSpec * spec, const char *field,
+    int flen)
 {
     const char *p;
     assert(spec);
@@ -88,7 +88,8 @@
     }
     /* we managed to parse, check if the result makes sence */
     if (known_spec(spec->length) && !spec->length) {
-	debug(68, 2) ("invalid range (%d += %d) in resp-range-spec near: '%s'\n",
+	debug(68,
+	    2) ("invalid range (%d += %d) in resp-range-spec near: '%s'\n",
 	    spec->offset, spec->length, field);
 	return 0;
     }
@@ -187,7 +188,8 @@
 }
 
 void
-httpHdrContRangeSet(HttpHdrContRange * cr, HttpHdrRangeSpec spec, ssize_t ent_len)
+httpHdrContRangeSet(HttpHdrContRange * cr, HttpHdrRangeSpec spec,
+    ssize_t ent_len)
 {
     assert(cr && ent_len >= 0);
     cr->spec = spec;
Index: squid/src/HttpHdrExtField.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHdrExtField.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/HttpHdrExtField.c	6 Jan 2001 12:40:11 -0000	1.1.1.3.4.1.2.1
+++ squid/src/HttpHdrExtField.c	27 Aug 2001 21:48:18 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: HttpHdrExtField.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: HttpHdrExtField.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: section 69    HTTP Header: Extension Field
  * AUTHOR: Alex Rousskov
@@ -36,7 +35,8 @@
 #include "squid.h"
 
 /* local prototypes */
-static HttpHdrExtField *httpHdrExtFieldDoCreate(const char *name, int name_len, const char *value, int val_len);
+static HttpHdrExtField *httpHdrExtFieldDoCreate(const char *name, int name_len,
+    const char *value, int val_len);
 
 
 /* implementation */
@@ -54,9 +54,7 @@
 HttpHdrExtField *
 httpHdrExtFieldCreate(const char *name, const char *value)
 {
-    return httpHdrExtFieldDoCreate(
-	name, strlen(name),
-	value, strlen(value));
+    return httpHdrExtFieldDoCreate(name, strlen(name), value, strlen(value));
 }
 
 /* parses ext field; returns fresh ext field on success and NULL on failure */
@@ -76,8 +74,7 @@
     while (value_start < field_end && xisspace(*value_start))
 	value_start++;
 
-    return httpHdrExtFieldDoCreate(
-	field_start, name_end - field_start,
+    return httpHdrExtFieldDoCreate(field_start, name_end - field_start,
 	value_start, field_end - value_start);
 }
 
@@ -94,7 +91,6 @@
 httpHdrExtFieldDup(HttpHdrExtField * f)
 {
     assert(f);
-    return httpHdrExtFieldDoCreate(
-	strBuf(f->name), strLen(f->name),
+    return httpHdrExtFieldDoCreate(strBuf(f->name), strLen(f->name),
 	strBuf(f->value), strLen(f->value));
 }
